Remaps image colors

- « Imagick::reduceNoiseImage

- Imagick::removeImage »

- PHP Manual
- Imagick
- Remaps image colors

# Imagick::remapImage

(PECL imagick 2 >= 2.3.0, PECL imagick 3)

Imagick::remapImage — Remaps image colors

### Description

public Imagick::remapImage(Imagick `$replacement`, int `$DITHER`): bool

Replaces colors an image with those defined by `replacement`. The colors are replaced with the closest possible color. This method is available if Imagick has been compiled against ImageMagick version 6.4.5 or newer.

### Parameters

`replacement`

  An Imagick object containing the replacement colors

`DITHER`

  Refer to this list of dither method constants

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.